"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = void 0;

var _yargs = _interopRequireDefault(require("yargs"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const run = () => {
  let argv = _yargs.default.usage(_constants.USAGE).commandDir('commands').epilog(_constants.EPILOG).demandCommand().help();
  /**
   * populate cli arguments
   */


  for (const param of _constants.COMMON_CLI_PARAMS) {
    argv = argv.option(param.name, param);
  }

  return argv.argv;
};

exports.run = run;